Page 1 of 1

memprofiler 4.0 preview with vs2010 sp1

Posted: Fri Mar 25, 2011 4:23 pm
by jus
Hi.

I have installed VS 2010 SP 1 (with .Net 4.0 SP1) and use the latest memprofiler 4.0 Preview.

Today I want to import a Memory Dump from another computer (without .Net 4.0 SP1) and get the error message:

"The .NET runtime version of the imported memory dump does not match the version of the currently installed .NET runtime"

The two options to resolve this error do not work.
1. "Retrieve from the Microsoft symbol store" does not work. The error message re-appears.
2. "Use this mscordacwks.dll file (should be v4.0.30319.1, 32 bit)" does not work either, because I have only version 4.0.30319.225

Is there a way to import the memory dump?

Thanks

Jus

Re: memprofiler 4.0 preview with vs2010 sp1

Posted: Tue Mar 29, 2011 10:25 pm
by Andreas Suurkuusk
I'm sorry for the delay. We had to include a fix in the preview in order to import memory dumps on a machine with SP1 from a machine without SP1 (for some reason the Microsoft Debugging Tools expects a version string like "4.0.30319.01" instead of "4.0.30319.1"). I was hoping that we would be able to create a new version for you before replying to your post, but we still have some testing to do. Hopefully the updated preview will be available for download tomorrow.

Anyway, to import the memory dump you will need the correct mscordacwks.dll file. You can copy it from the machine where the memory dump was created. Unfortunately, this file is not available from the Microsoft symbol servers (not all versions are).

Re: memprofiler 4.0 preview with vs2010 sp1

Posted: Wed Mar 30, 2011 6:37 am
by jus
Hi Andreas,

thanks for your reply. I will try the new version when it comes available.

Jus

Re: memprofiler 4.0 preview with vs2010 sp1

Posted: Wed Mar 30, 2011 8:55 pm
by Andreas Suurkuusk
Now there's an updated preview available (v4.0.33). This version should be able to import the memory dump correctly. You can download it from the preview page.

Re: memprofiler 4.0 preview with vs2010 sp1

Posted: Thu Mar 31, 2011 6:30 am
by jus
Yes, thanks.

It works.

Jus